# Interface methods for submodule: SphereMeshSource
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import MeshSourceProxy as _MeshSourceProxy


# Interface methods for class: SphereMeshSource
class SphereMeshSourceProxy(_MeshSourceProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetResolutionX(self, _arg: int) -> None:
		""""""
		...

	def SetResolutionY(self, _arg: int) -> None:
		""""""
		...

	def SetCenter(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def SetScale(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def SetSquareness1(self, _arg: float) -> None:
		""""""
		...

	def SetSquareness2(self, _arg: float) -> None:
		""""""
		...

